Runtime

## org.eclipse.gmf.runtime.common.core.util
Class CompositeRunnable

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.CompositeRunnable

All Implemented Interfaces:
  java.lang.Runnable

    public class CompositeRunnable

extends java.lang.Object
implements java.lang.Runnable

A utility class that is a composite of runnables

Constructor Summary
`CompositeRunnable(java.lang.Runnable[] runnables)` Constructor for CompositeRunnable.

Method Summary
`void` `run()` The body of the runnable that runs the composite list of rannables.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeRunnable

    public CompositeRunnable(java.lang.Runnable[] runnables)

  Constructor for CompositeRunnable.

  Parameters:
    `runnables` - list of runnable to be composed into a `CompositeRunnable`

Method Detail

### run

    public void run()

  The body of the runnable that runs the composite list of rannables.

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `Runnable.run()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.